package cd.casic.ci.common.pipeline;

import java.util.UUID;

public class UUIDUtil {
    private UUIDUtil() {
        // 私有构造方法防止实例化
    }

    /**
     * 生成32位字符随机UUID
     * @return UUID字符串
     */
    public static String generate() {
        UUID uuid = UUID.randomUUID();
        String str = uuid.toString();
        // 通过substring拼接去掉UUID中的连字符
        return str.substring(0, 8) + str.substring(9, 13) + str.substring(14, 18) + str.substring(19, 23) + str.substring(24);
    }

    // 可选方案：使用replace方法更简洁
    // public static String generate() {
    //     return UUID.randomUUID().toString().replace("-", "");
    // }
}

