package cd.casic.ci.common.pipeline.pojo.element.matrix;

import cd.casic.ci.common.pipeline.NameAndValue;
import cd.casic.ci.common.pipeline.pojo.element.Element;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.matrix
 * @Project：ops-pro
 * @name：MatrixStatusElement
 * @Date：2025/03/26 17:37
 * @Filename：MatrixStatusElement
 * @description：Todo
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Schema(title = "流水线模型-矩阵纯运行状态插件", description = MatrixStatusElement.classType)
public class MatrixStatusElement extends Element {
    public static final String classType = "matrixStatus";

    @Schema(title = "任务名称", required = true)
    private String name = "状态插件";

    @Schema(title = "插件ID", required = false)
    private String id;

    @Schema(title = "执行状态", required = false)
    private String status;

    @Schema(title = "执行次数", required = false)
    private int executeCount = 1;

    @Schema(title = "执行时间", required = false)
    private Long elapsed;

    @Schema(title = "启动时间", required = false)
    private Long startEpoch;

    @Schema(title = "上下文标识", required = false)
    private String stepId;

    @Schema(title = "用户自定义环境变量（插件运行时写入环境）", required = false)
    private List<NameAndValue> customEnv;

    @Schema(title = "原插件的类型标识")
    private String originClassType;

    @Schema(title = "原插件的市场标识")
    private String originAtomCode;

    @Schema(title = "原插件的内置标识")
    private String originTaskAtom;

    @Schema(title = "审核人", required = true)
    private List<String> reviewUsers = new ArrayList<>();

    @Schema(title = "拦截原子", required = false)
    private String interceptTask;

    @Schema(title = "拦截原子名称", required = false)
    private String interceptTaskName;

    @Override
    public String getClassType() {
        return classType;
    }

    @Override
    public String getTaskAtom() {
        return originTaskAtom != null ? originTaskAtom : "";
    }

    @Override
    public String getAtomCode() {
        return originAtomCode != null ? originAtomCode : "";
    }
}
