package cd.casic.pipeline.dispatch.api;

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Set;

@Tag(name = "OP_AGENT", description = "agent相关")
@RestController
@RequestMapping("/op/agent")
public interface OpAgentResource {

    @Operation(summary = "修改灰度排队功能的项目或者流水线")
    @PostMapping("/update_gray_queue")
    void updateGrayQueue(
            @RequestParam("projectId") String projectId,
            @RequestParam("operate") String operate,
            Set<String> pipelineIds
    );
}