package cd.casic.ci.log.dal.pojo.enums;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * @author by mianbin
 * @Classname LogStorageMode
 * @Description 日志保存模型
 * @Date 2025/3/19 17:10
 */
@Schema(title = "日志保存模型")
public enum LogStorageMode {
    @Schema(description = "上报服务")
    UPLOAD,
    @Schema(description = "本地保存")
    LOCAL,
    @Schema(description = "仓库已归档")
    ARCHIVED;

    public static LogStorageMode parse(String modeName) {
        if (modeName.equals(LOCAL.name())) {
            return LOCAL;
        } else if (modeName.equals(ARCHIVED.name())) {
            return ARCHIVED;
        } else {
            return UPLOAD;
        }
    }
}
