package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.enums.BuildTaskStatus;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：BuildTask
 * @Date：2025/03/24 15:10
 * @Filename：BuildTask
 * @description：Todo
 */
@Data
@Schema(title = "流水线模型-构建任务")
public class BuildTask {
    @Schema(title = "构建ID", required = true)
    private String buildId;
    @Schema(title = "构建环境ID", required = true)
    private String vmSeqId;
    @Schema(title = "任务状态", required = true)
    private BuildTaskStatus status;
    @Schema(title = "插件执行次数", required = false)
    private Integer executeCount;
    @Schema(title = "任务ID", required = true)
    private String taskId;
    @Schema(title = "插件ID", required = true)
    private String elementId;
    @Schema(title = "标识上下文的插件ID", required = true)
    private String stepId;
    @Schema(title = "插件名字", required = true)
    private String elementName;
    @Schema(title = "插件版本号", required = false)
    private String elementVersion;
    @Schema(title = "任务类型", required = false)
    private String type;
    @Schema(title = "任务参数", required = false)
    private Map<String, String> params;
    @Schema(title = "环境参数", required = false)
    private Map<String, String> buildVariable;
    @Schema(title = "容器类型", required = false)
    private String containerType;
    @Schema(title = "签名token", required = false)
    private String signToken;

    @Override
    public String toString() {
        return "buildId=" + buildId + "|vmSeqId=" + vmSeqId + "|status=" + status + "|taskId=" + taskId +
                "|name=" + elementName + "|stepId=" + stepId + "|type=" + type +
                "|paramSize=" + (params != null ? params.size() : 0) +
                "|buildVarSize=" + (buildVariable != null ? buildVariable.size() : 0);
    }
}
