package cd.casic.ci.process.api.process.pojo.setting;

import cd.casic.ci.common.pipeline.pojo.setting.PipelineRunLockType;
import cd.casic.ci.common.pipeline.pojo.setting.Subscription;
import cd.casic.ci.project.dal.pojo.PipelineAsCodeSettings;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.setting
 * @Project：ops-pro
 * @name：PipelineSettingVersion
 * @Date：2025/03/24 20:22
 * @Filename：PipelineSettingVersion
 * @description：Todo
 */
@Data
@Schema(title = "流水线版本记录")
public class PipelineSettingVersion {
    @Schema(title = "项目id", required = false)
    private String projectId;
    @Schema(title = "流水线id", required = false)
    private String pipelineId;
    @Schema(title = "流水线名称", required = false)
    private String pipelineName;
    @Schema(title = "版本", required = false)
    private int version;
    @Schema(title = "描述", required = false)
    private String desc;
    @Schema(title = "标签列表", required = false)
    private List<String> labels;
    @Schema(title = "构建号生成规则", required = false)
    //@Field(patternStyle = BkStyleEnum.BUILD_NUM_RULE_STYLE, required = false)
    private String buildNumRule;
    @Schema(title = "订阅成功通知组", required = false)
    private List<Subscription> successSubscriptionList;
    @Schema(title = "订阅失败通知组", required = false)
    private List<Subscription> failSubscriptionList;
    @Schema(title = "Lock 类型", required = false)
    private PipelineRunLockType runLockType;
    @Schema(title = "最大排队时长", required = false)
    private Integer waitQueueTimeMinute;
    @Schema(title = "最大排队数量", required = false)
    private Integer maxQueueSize;
    @Schema(title = "并发时,设定的group", required = false)
    //@Field(patternStyle = BkStyleEnum.PIPELINE_CONCURRENCY_GROUP_STYLE, required = false)
    private String concurrencyGroup;
    @Schema(title = "并发时,是否相同group取消正在执行的流水线", required = false)
    private Boolean concurrencyCancelInProgress;
    @Schema(title = "并发构建数量限制", required = false)
    private Integer maxConRunningQueueSize;
    @Schema(title = "YAML流水线特殊配置", required = false)
    private PipelineAsCodeSettings pipelineAsCodeSettings;
}
