package cd.casic.pipeline.store.api.template;


import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.common.comment.StoreCommentReplyInfo;
import cd.casic.pipeline.store.pojo.common.comment.StoreCommentReplyRequest;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.*;

import java.util.List;

import static cd.casic.ci.common.pipeline.constant.OpsHeader.AUTH_HEADER_USER_ID;

@Tag(name = "USER_MARKET_TEMPLATE_COMMENT_REPLY", description = "模板-模板评论回复")
@RestController
@RequestMapping("/user/market/template/comment/reply")
public interface UserTemplateCommentReplyResource {

    @Operation(summary = "获取模板相应评论的回复列表")
    @GetMapping("/comments/{commentId}/replys")
    CommonResult<List<StoreCommentReplyInfo>> getStoreCommentReplysByCommentId(
            @Parameter(description = "评论ID", required = true)
            @PathVariable("commentId")
            String commentId
    );

    @Operation(summary = "模板评论回复")
    @PostMapping("/comments/{commentId}/reply")
    CommonResult<StoreCommentReplyInfo> addStoreCommentReply(
            @Parameter(description = "userId", required = true)
            @RequestHeader(AUTH_HEADER_USER_ID)
            String userId,
            @Parameter(description = "评论ID", required = true)
            @PathVariable("commentId")
            String commentId,
            @Parameter(description = "评论回复信息请求报文体", required = true)
            StoreCommentReplyRequest storeCommentReplyRequest
    );
}