package cd.casic.pipeline.store.api.template;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.common.label.Label;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@Tag(name = "USER_MARKET_TEMPLATE_LABEL", description = "模板-模板标签")
@RestController
@RequestMapping("/user/market/template/label")
public interface UserTemplateLabelResource {

    @Operation(summary = "获取所有模板标签信息")
    @GetMapping("/labels")
    CommonResult<List<Label>> getAllTemplateLabels();

    @Operation(summary = "根据模板ID获取模板标签信息")
    @GetMapping("/templateIds/{templateId}/labels")
    CommonResult<List<Label>> getTemplateLabelsByTemplateId(
            @Parameter(description = "模板ID", required = true)
            @PathVariable("templateId")
            String templateId
    );
}