package cd.casic.pipeline.store.pojo.atom;

import cd.casic.pipeline.store.pojo.atom.enums.AtomCategoryEnum;
import cd.casic.pipeline.store.pojo.atom.enums.JobTypeEnum;
import com.fasterxml.jackson.annotation.JsonProperty;
import cd.casic.pipeline.store.pojo.common.version.VersionModel;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.Max;
import lombok.Data;

import java.util.ArrayList;

@Data
@Schema(title = "插件发布部署模型")
public class ReleaseInfo {
    @Schema(title = "项目编码", required = true)
    private String projectId = "";
    @Schema(title = "插件名称", required = true)
    private String name;
    @Schema(title = "开发语言", required = true)
    private String language;
    @Schema(title = "插件logo地址", required = true)
    @Max(value = 1024)
    private String logoUrl;
    @Schema(title = "支持的操作系统", required = true)
    private ArrayList<String> os;
    @Schema(title = "插件配置信息", required = true)
    private AtomConfigInfo configInfo;
    @Schema(title = "插件所属范畴", required = true)
    private AtomCategoryEnum category;
    @Schema(title = "所属插件分类代码", required = true)
    private String classifyCode;
    @Schema(title = "适用Job类型", required = true)
    private JobTypeEnum jobType;
    @JsonProperty(value = "labelCodes", required = false)
    @Schema(title = "标签标识集合", description = "labelCodes")
    private ArrayList<String> labelCodes;
    @Schema(title = "版本信息", required = true)
    private VersionModel versionInfo;
    @Schema(title = "插件简介", required = true)
    @Max(value = 256)
    private String summary;
    @Schema(title = "插件描述", required = true)
    @Max(value = 65535)
    private String description;
}