package cd.casic.pipeline.store.pojo.common;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Set;

@Data
@Schema(title = "文本引用文件下载请求")
public class TextReferenceFileDownloadRequest {
    @Schema(title = "项目代码", required = true)
    private String projectCode;
    
    @Schema(title = "组件标识")
    private String storeCode;
    
    @Schema(title = "引用文件名列表")
    private Set<String> fileNames;
    
    @Schema(title = "插件包文件路径", required = true)
    private String fileDir;
    
    @Schema(title = "仓库哈希ID", required = false)
    private String repositoryHashId;
    
    @Schema(title = "分支", required = false)
    private String branch;
}