package cd.casic.pipeline.store.pojo.common.publication;

import cd.casic.pipeline.store.pojo.common.enums.PublisherType;
import cd.casic.pipeline.store.pojo.common.enums.StoreTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "发布者数据同步请求")
public class PublishersRequest {
    @Schema(title = "发布者标识", required = true)
    private String publishersCode;
    
    @Schema(title = "发布者名称", required = true)
    private String name;
    
    @Schema(title = "发布者类型", required = true)
    private PublisherType publishersType;
    
    @Schema(title = "主体负责人", required = true)
    private List<String> owners;
    
    @Schema(title = "成员", required = true)
    private List<String> members;
    
    @Schema(title = "技术支持", required = false)
    private String helper;
    
    @Schema(title = "是否认证", required = true)
    private boolean certificationFlag;
    
    @Schema(title = "组件类型", required = true)
    private StoreTypeEnum storeType;
}